Subject: Bug#1222: Timeout of about 30s to start the x2go session

From: Bruno CAPELETO <[email-masked]>
Date: Wed, 4 Oct 2017 12:26:59 +0200

Package: <x2goserver>
Version: <4.1.0.0-0x2go1.2~git20170806.1410+9.heuler.1>

# uname -a
Linux mtcie1 4.9.0-3-amd64 #1 SMP Debian 4.9.30-2+deb9u1 (2017-06-18)
x86_64 GNU/Linux
# cat /etc/issue
Debian GNU/Linux 9 \n \l

When connecting to this x2go server - linux client and/or Windows client, I
tested both - the session takes about 30s to start.

I checked the /var/log/auth.log : the ssh connexion is pretty fast (1-2s)
I checked the x2go session.log : it is finished about 30s later

What happens during these 30s I do not understand. I have other
installations on Debian 8, this does not take so long.